<template>
  <PageLayout class="user-page-wrapper" :need-auth="false">
    <template #navigationBar>
      <TransparentNavigationBar
        title="我的主页"
        :is-absolute="false"
        navigationArrowWhite
        mode="dark"
      ></TransparentNavigationBar>
    </template>
    <template #bg>
      <img :src="OssAssets.user.Bg" class="user-page-bg" />
    </template>
    <InnerPage />
  </PageLayout>
</template>

<script setup lang="ts">
import { PageLayout, TransparentNavigationBar } from '@/components';
import InnerPage from './InnerPage.vue';
import { OssAssets } from '@/constants';

defineOptions({
  name: 'userHomePage',
});
</script>

<style lang="scss">
@import '@/styles/common.scss';

.user-page-bg {
  position: fixed;
  z-index: -1;
  top: 0;
  left: 0;
  width: 100%;
  height: 678px;
  object-fit: cover;
}
</style>
